Bug 442295 - Review Request: thunar-shares - Thunar file manager extension to share files using Samba
Review Request: thunar-shares - Thunar file manager extension to share files ...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-13 21:51 EDT by Christoph Wickert
Modified: 2008-04-29 16:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.10-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-29 16:56:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2008-04-13 21:51:21 EDT
Spec URL: http://cwickert.fedorapeople.org/review/thunar-shares.spec
SRPM URL: http://cwickert.fedorapeople.org/review/thunar-shares-0.10-1.fc9.src.rpm
Description: A Thunar file manager extension to share files using Samba. The backend is based on nautilus-share.
Comment 1 Kevin Fenzi 2008-04-15 22:37:20 EDT
I would be happy to review this, look for a full review in a bit. 
Comment 2 Kevin Fenzi 2008-04-15 22:50:09 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPLv2+)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
64b23eec63c65f50b3a068f15d757067  thunar-shares-0.10.tar.bz2
64b23eec63c65f50b3a068f15d757067  thunar-shares-0.10.tar.bz2.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - .la files are removed.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
OK - No rpmlint output.
OK - final provides and requires are sane.


OK - Should build in mock.
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version



I see no issues, this package is APPROVED.
Comment 3 Christoph Wickert 2008-04-16 13:04:34 EDT
Thanks for the Review. I wonder if we should include more documentation like
nautilus-share does, but IMO it's not necessary because the README is very clear
about the setup

New Package CVS Request
Package Name: thunar-shares
Short Description: Thunar file manager extension to share files using Samba
Owners: cwickert
Branches: F-7 F-8
InitialCC: kevin
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-04-16 17:31:41 EDT
cvs done.
Comment 5 Fedora Update System 2008-04-27 16:40:46 EDT
thunar-shares-0.10-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-04-29 16:56:02 EDT
thunar-shares-0.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.